<template>
    <div class="film-access">
        <button class="film-access__btn" @click="popUpStatus = true" v-if="movies.length">
            <i class="fa fa-plus" aria-hidden="true"></i>
        </button>

        <el-dialog :visible.sync="popUpStatus">
            <el-dialog
                    width="30%"
                    append-to-body>
            </el-dialog>
            <div slot="footer" class="film-access__pop-up">

                <div class="film-access__main-title">
                    <h2>Access And Information</h2>
                    <span>Fill rhe infos to make the files visible on the Koder interface</span>
                </div>

                <el-collapse>
                    <el-collapse-item v-for="(movie, index) in movies" :key="index">

                        <template slot="title">
                            <span class="film-access__collapse-title">{{ movie.label }}</span>
                        </template>

                        <h3 class="film-access__collapse-text">Accessible to groups</h3>

                        <ul class="film-access__item">
                            <li class="film-access__items" v-for="team in teams">
                                <span>{{ team.name }}</span>
                                <label class="checkbox" >
                                    <input
                                            type="checkbox"
                                            :checked="movie.teams.includes(team.id)"
                                            @click="videoGroup(movie.id, team.id, $event)">
                                    <span class="checkmark-small"></span>
                                </label>
                            </li>
                        </ul>
                    </el-collapse-item>
                </el-collapse>
            </div>
        </el-dialog>
    </div>
</template>

<script>
    import getData from '../mixins/getData'

    export default {
        name: 'TreePopUp',
        mixins: [getData],
        props: {
            movies: {
                required: true
            },
            teams: {
                required: true
            }
        },
        data() {
            return {
                popUpStatus: false
            }
        },
        methods: {
            videoGroup(movieID, teamID, event) {
                this.asyncGetData({
                    method: 'POST',
                    url: 'admin/video/group',
                    data: {
                        file_id: movieID,
                        team_id: teamID,
                        status: event.target.checked ? 1 : 0
                    }
                }).then(response => {
                    if (response.status) {
                        // Success message
                        this.$message({
                            message: 'Successfully ' +  event.target.checked ? 'added' : 'removed' + ' team.',
                            type: 'success',
                            showClose: true
                        })
                    }
                })
            }
        }
    }
</script>

<style scoped>

</style>